| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
CHIP: LPC18xx/43xx CREG driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_CREG_T
| CREG Register Block. More...

## Functions
STATIC INLINE uint32_t | Chip_CREG_OnChipFlashIsPresent (void)
| Identifies whether on-chip flash is present.
STATIC INLINE void | Chip_CREG_SetFlashAcceleration (uint32_t Hz)
| Configures the onboard Flash Accelerator in flash-based LPC18xx/LPC43xx parts.
STATIC INLINE void | Chip_CREG_EnableUSB0Phy (bool Enable)
| Enables the USB0 high-speed PHY on LPC18xx/LPC43xx parts.
STATIC INLINE void | Chip_CREG_ConfigureBODaR (uint32_t BODVL, uint32_t BORVL)
| Configures the BOD and Reset on LPC18xx/LPC43xx parts.

## Function Documentation

STATIC INLINE void Chip_CREG_ConfigureBODaR | ( | uint32_t | BODVL,
|  | uint32_t | BORVL
| ) |  |

Configures the BOD and Reset on LPC18xx/LPC43xx parts.

Parameters

  BODVL | : Brown-Out Detect voltage level (0-3)
  BORVL | : Brown-Out Reset voltage level (0-3)

Returns
  Nothing

Definition at line 135 of file creg_18xx_43xx.h.

STATIC INLINE void Chip_CREG_EnableUSB0Phy | ( | bool | Enable | ) |

Enables the USB0 high-speed PHY on LPC18xx/LPC43xx parts.

Parameters

  Enable | : true to enable PHY, false to disable

Returns
  Nothing The USB0 PLL & clock should be configured before calling this function. This function should be called before the USB0 registers are accessed.

Definition at line 119 of file creg_18xx_43xx.h.

STATIC INLINE uint32_t Chip_CREG_OnChipFlashIsPresent | ( | void |  | ) |

Identifies whether on-chip flash is present.

Returns
  true if on chip flash is available, otherwise false

Definition at line 91 of file creg_18xx_43xx.h.

STATIC INLINE void Chip_CREG_SetFlashAcceleration | ( | uint32_t | Hz | ) |

Configures the onboard Flash Accelerator in flash-based LPC18xx/LPC43xx parts.

Parameters

  Hz | : Current frequency in Hz of the CPU

Returns
  Nothing This function should be called with the higher frequency before the clock frequency is increased and it should be called with the new lower value after the clock frequency is decreased.

Definition at line 104 of file creg_18xx_43xx.h.